<ion-header>
  <ion-toolbar style="--background: var(--ion-color-primary);color:white">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title>Filter</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content style="--background: #f0f0f0">
  <div (click)="filterCategory()" class="ion-padding" style="margin-top: 15px;border-bottom: 1px solid #d4d4d4;background:white">
    <ion-label class="ion-text-left">Kategori</ion-label>
    <div class="ion-float-end">
      <span class="label-selected">{{categorySelected?.categoryTitle}}</span>
      <ion-icon  name="arrow-forward"></ion-icon>
    </div>
  </div>
  <div (click)="filterLibrary()" class="ion-padding" style="border-bottom: 1px solid #d4d4d4;background:white">
    <ion-label class="ion-text-left">Peprustakaan</ion-label>
    <div class="ion-float-end">
        <span class="label-selected">{{librarySelected?.libraryName}}</span>
        <ion-icon  name="arrow-forward"></ion-icon>
      </div>
  </div>
</ion-content>

<ion-footer>
    <div style="padding:10px;">
        <button (click)="resetFilter()" class="btn-reset ion-text-center" fill="outline" color="primary">Reset</button>
        <button (click)="applyFilter()"  class="btn-apply ion-text-center ion-float-end" color="secondary">Terapkan</button>
       </div>
</ion-footer>